Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706908 - net-wireless/airtraf-1.1-r3 : fails to build with -fno-common or gcc-10
Summary: net-wireless/airtraf-1.1-r3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-28 18:36 UTC by Toralf Förster
Modified: 2020-01-31 14:44 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.02 KB, text/plain)
2020-01-28 18:36 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,73.80 KB, text/plain)
2020-01-28 18:36 UTC, Toralf Förster
Details
environment (environment,73.36 KB, text/plain)
2020-01-28 18:36 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.22 KB, application/x-bzip)
2020-01-28 18:36 UTC, Toralf Förster
Details
net-wireless:airtraf-1.1-r3:20200128-083831.log (net-wireless:airtraf-1.1-r3:20200128-083831.log,125.54 KB, text/plain)
2020-01-28 18:36 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.35 KB, application/x-bzip)
2020-01-28 18:36 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-28 18:36:36 UTC
../libcommon/definition.h:298:3: warning: ‘packed’ attribute ignored for field of type ‘__u8[6]’ {aka ‘unsigned char[6]’} [-Wattributes]
  298 |   __u8 mac4[6] __attribute__ ((packed));
      |   ^~~~
x86_64-pc-linux-gnu-gcc -o ../airtraf -Wl,-O1 -Wl,--as-needed airtraf.o autoconfig.o capture_engine.o channel_scan.o detailed_analysis.o detailed_scan.o gui_main.o gui_capture_utils.o gui_channel_scan.o gui_detailed_scan.o gui_gen_protocol_scan.o gui_tcp_analysis_scan.o mon_ids.o packet_abstraction.o p802_11b_parser.o runtime.o server.o sniffer_engine.o -L../libcommon -lairtraf -L../libncurses -lairgui -lncurses -ltinfo -lpanel  -lpthread -lm
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../libcommon/libairtraf.a(logger.o):(.bss+0x0): multiple definition of `atime'; capture_engine.o:(.bss+0x0): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Tue, 28 Jan 2020 08:06:23 +0000

emerge -qpvO net-wireless/airtraf
[ebuild  N    ] net-wireless/airtraf-1.1-r3
Comment 1 Toralf Förster gentoo-dev 2020-01-28 18:36:39 UTC
Created attachment 606494 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-28 18:36:42 UTC
Created attachment 606496 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-28 18:36:45 UTC
Created attachment 606498 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-28 18:36:47 UTC
Created attachment 606500 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-28 18:36:50 UTC
Created attachment 606502 [details]
net-wireless:airtraf-1.1-r3:20200128-083831.log
Comment 6 Toralf Förster gentoo-dev 2020-01-28 18:36:53 UTC
Created attachment 606504 [details]
temp.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-01-31 14:44:11 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2eaa80cf1221b95ca3734e47b470db53424e2721

commit 2eaa80cf1221b95ca3734e47b470db53424e2721
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-31 14:43:46 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-31 14:44:08 +0000

    net-wireless/airtraf: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=706908
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-wireless/airtraf/airtraf-1.1-r4.ebuild         | 54 ++++++++++++++++++++++
 .../airtraf/files/airtraf-1.1-fno-common.patch     | 21 +++++++++
 2 files changed, 75 insertions(+)